from econuy.retrieval import (prices, fiscal_accounts, economic_activity,
                              labor, external_sector, financial_sector, income,
                              international, regional)

original = {"natacc_ind_con_nsa": {"description": "Cuentas nacionales, oferta "
                                   "precios constantes, serie original",
                                   "function": economic_activity.natacc_ind_con_nsa},
            "natacc_gas_con_nsa": {"description": "Cuentas nacionales, demanda "
                                   "precios constantes, serie original",
                                   "function": economic_activity.natacc_gas_con_nsa},
            "natacc_ind_con_idx_sa": {"description": "Cuentas nacionales, oferta "
                                      "índice real, serie desestacionalizada",
                                      "function": economic_activity.natacc_ind_con_idx_sa},
            "natacc_ind_con_idx_nsa": {"description": "Cuentas nacionales, oferta "
                                       "índice real, serie original",
                                       "function": economic_activity.natacc_ind_con_idx_nsa},
            "natacc_ind_cur_nsa": {"description": "Cuentas nacionales, oferta "
                                   "precios corrientes, serie original",
                                   "function": economic_activity.natacc_ind_cur_nsa},
            "natacc_gdp_cur_nsa": {"description": "Producto bruto interno "
                                   "precios corrientes, serie original",
                                   "function": economic_activity.natacc_gdp_cur_nsa},
            "industrial_production": {"description": "Producción industrial",
                                      "function": economic_activity.industrial_production},
            "electricity": {"description": "Ventas de energía eléctrica por sector",
                            "function": economic_activity.electricity},
            "gasoline": {"description": "Ventas de nafta por departamento",
                         "function": economic_activity.gasoline},
            "diesel": {"description": " Ventas de gasoil por departamento",
                       "function": economic_activity.diesel},
            "cattle": {"description": "Faena de bovinos",
                       "function": economic_activity.cattle},
            "milk": {"description": "Remisión de leche a planta",
                     "function": economic_activity.milk},
            "cement": {"description": " Ventas de cemento",
                       "function": economic_activity.cement},
            "cpi": {"description": "Índice de precios al consumidor",
                    "function": prices.cpi},
            "nxr_monthly": {"description": "Tipo de cambio interbancario mensual",
                            "function": prices.nxr_monthly},
            "nxr_daily": {"description": "Tipo de cambio interbancario diario",
                          "function": prices.nxr_daily},
            "balance_gps": {"description": "Resultado fiscal del sector público consolidado",
                            "function": fiscal_accounts.balance_gps},
            "balance_nfps": {"description": "Resultado fiscal del sector público no financiero",
                             "function": fiscal_accounts.balance_nfps},
            "balance_cg-bps": {"description": "Resultado fiscal del gobierno central + BPS",
                               "function": fiscal_accounts.balance_cg_bps},
            "balance_pe": {"description": "Resultado fiscal de las empresas públicas",
                           "function": fiscal_accounts.balance_pe},
            "balance_ancap": {"description": "Resultado fiscal de ANCAP",
                              "function": fiscal_accounts.balance_ancap},
            "balance_ute": {"description": "Resultado fiscal de UTE",
                            "function": fiscal_accounts.balance_ute},
            "balance_antel": {"description": "Resultado fiscal de ANTEL",
                              "function": fiscal_accounts.balance_antel},
            "balance_ose": {"description": "Resultado fiscal de OSE",
                            "function": fiscal_accounts.balance_ose},
            "taxes": {"description": "Recaudación impositiva",
                      "function": fiscal_accounts.tax_revenue},
            "public_debt_gps": {"description": "Deuda pública (global, no monetario y BCU)",
                                "function": fiscal_accounts.public_debt_gps},
            "public_debt_nfps": {"description": "Deuda pública (global, no monetario y BCU)",
                                 "function": fiscal_accounts.public_debt_nfps},
            "public_debt_cb": {"description": "Deuda pública (global, no monetario y BCU)",
                               "function": fiscal_accounts.public_debt_cb},
            "labor_rates": {"description": "Tasa de actividad, empleo y desempleo",
                            "function": labor.labor_rates},
            "hours_worked": {"description": "Horas promedio trabajadas por sector",
                             "function": labor.hours},
            "nominal_wages": {"description": "Salarios nominales totales, sector público y privado",
                              "function": labor.nominal_wages},
            "real_wages": {"description": "Salarios reales totales, sector público y privado",
                           "function": labor.real_wages},
            "trade_x_prod_val": {"description": "Exportaciones por producto, valor",
                                 "function": external_sector.trade_x_prod_val},
            "trade_x_prod_vol": {"description": "Exportaciones por producto, volumen",
                                 "function": external_sector.trade_x_prod_vol},
            "trade_x_prod_pri": {"description": "Exportaciones por producto, precio",
                                 "function": external_sector.trade_x_prod_pri},
            "trade_x_dest_val": {"description": "Exportaciones por destino, valor",
                                 "function": external_sector.trade_x_dest_val},
            "trade_x_dest_vol": {"description": "Exportaciones por destino, volumen",
                                 "function": external_sector.trade_x_dest_vol},
            "trade_x_dest_pri": {"description": "Exportaciones por destino, precio",
                                 "function": external_sector.trade_x_dest_pri},
            "trade_m_sect_val": {"description": "Importaciones por sector, valor",
                                 "function": external_sector.trade_m_sect_val},
            "trade_m_sect_vol": {"description": "Importaciones por sector, volumen",
                                 "function": external_sector.trade_m_sect_vol},
            "trade_m_sect_pri": {"description": "Importaciones por sector, precio",
                                 "function": external_sector.trade_m_sect_pri},
            "trade_m_orig_val": {"description": "Importaciones por origen, valor",
                                 "function": external_sector.trade_m_orig_val},
            "trade_m_orig_vol": {"description": "Importaciones por origen, volumen",
                                 "function": external_sector.trade_m_orig_vol},
            "trade_m_orig_pri": {"description": "Importaciones por origen, precio",
                                 "function": external_sector.trade_m_orig_pri},
            "rxr_official": {"description": "Tipos de cambio reales BCU",
                             "function": external_sector.rxr_official},
            "reserves": {"description": "Reservas internacionales",
                         "function": external_sector.reserves},
            "reserves_changes": {"description": "Cambio en las reservas internacionales del BCU",
                                 "function": external_sector.reserves_changes},
            "deposits": {"description": "Depósitos en el sistema bancario",
                         "function": financial_sector.deposits},
            "credit": {"description": "Créditos del sistema bancario al sector no financiero",
                       "function": financial_sector.credit},
            "interest_rates": {"description": "Tasas de interés activas y pasivas",
                               "function": financial_sector.interest_rates},
            "call": {"description": "Tasa call a 1 día",
                     "function": financial_sector.call_rate},
            "sovereign_risk": {"description": "Spread de bonos uruguayos respecto de bonos "
                               "norteamericanos",
                               "function": financial_sector.sovereign_risk},
            "income_household": {"description": "Ingreso medio de los hogares sin VL ni "
                                 "aguinaldo",
                                 "function": income.income_household},
            "income_capita": {"description": "Ingreso medio per cápita sin VL ni aguinaldo",
                              "function": income.income_capita},
            "consumer_confidence": {"description": "Índice de confianza de los consumidores",
                                    "function": income.consumer_confidence}}

custom = {"core_industrial": {"description": "Producción industrial total, sin refinería y "
                              "núcleo",
                              "function": economic_activity.core_industrial},
          "cpi_measures": {"description": "índice de precios transable, no transable, "
                           "subyacente, residual y Winsorized 5%",
                           "function": prices.cpi_measures},
          "balance_summary": {"description": "Resultado fiscal resumido",
                              "function": fiscal_accounts.balance_summary},
          "net_public_debt": {"description": "Deuda neta excluyendo encajes",
                              "function": fiscal_accounts.net_public_debt},
          "labor_rates_people": {"description": "Tasas de actividad, empleo y desempleo, incluyendo "
                                 "localidades de más de 5 mil personas, y cantidad "
                                 "de personas",
                                 "function": labor.rates_people},
          "trade_balance": {"description": "Balanza comercial por país",
                            "function": external_sector.trade_balance},
          "terms_of_trade": {"description": "Términos de intercambio",
                             "function": external_sector.terms_of_trade},
          "commodity_index": {"description": "Índice de precios de materias primas",
                              "function": external_sector.commodity_index},
          "rxr_custom": {"description": "Tipos de cambio reales vs. EE.UU., Argentina y "
                         "Brasil",
                         "function": external_sector.rxr_custom},
          "bonds": {"description": "Rendimiento de bonos soberanos en USD, UI y pesos",
                    "function": financial_sector.bonds},
          "global_gdp": {"description": "PBI real desestacionalizado de Estados Unidos,"
                         "Unión Europea, Japón y China",
                         "function": international.gdp},
          "global_stocks": {"description": "Índices bursátiles (S&P 500, Euronext 100, Nikkei"
                            "225 y Shanghai Composite)",
                            "function": international.stocks},
          "global_policy_rates": {"description": "Tasas de política monetaria de Estados "
                                  "Unidos, Eurozona, Japón y China",
                                  "function": international.policy_rates},
          "global_long_rates": {"description": "Tasas de bonos soberanos a 10 años de Estados "
                                "Unidos, Alemania, Francia, Italia, España, "
                                "Reino unido, Japón y China",
                                "function": international.long_rates},
          "global_nxr": {"description": "Cotización de monedas de Estados Unidos "
                         "(dollar index), USDUER, USDJPY y USDCNY",
                         "function": international.nxr},
          "regional_gdp": {"description": "PBI real desestacionalizado de Argentina y Brasil",
                           "function": regional.gdp},
          "regional_monthly_gdp": {"description": "PBI mensual real desestacionalizado de "
                                   "Argentina y Brasil",
                                   "function": regional.monthly_gdp},
          "regional_cpi": {"description": "Índice de precios al consumo de Argentina y Brasil",
                           "function": regional.cpi},
          "regional_embi_spreads": {"description": "EMBI spread de Argentina, Brasil y "
                                    "EMBI Global",
                                    "function": regional.embi_spreads},
          "regional_embi_yields": {"description": "EMBI yield de Argentina, Brasil y "
                                   "EMBI Global",
                                   "function": regional.embi_yields},
          "regional_nxr": {"description": "Tipo de cambio de Argentina (oficial y "
                           "paralelo) y Brasil",
                           "function": regional.nxr},
          "regional_policy_rates": {"description": "Tasas de política monetaria de Argentina "
                                    "y Brasil",
                                    "function": regional.policy_rates},
          "regional_stocks": {"description": "Índices bursátiles (MERVAL y BOVESPA) "
                              "en dólares",
                              "function": regional.stocks},
          "regional_rxr": {"description": "Tipo de cambio real de Argentina y Brasil "
                           "vis-à-vis EE.UU.",
                           "function": regional.rxr}
          }
